### Function

# RB gst_process_embedded_image

#### Declaration [src]

    GdkPixbuf*
    rb_gst_process_embedded_image (
      const GstTagList* taglist,
      const char* tag
    )

#### Description [src]

Converts embedded image data extracted from a tag list into a `GdkPixbuf`. The returned `GdkPixbuf` is owned by the caller.

#### Parameters

`taglist`

  Type: `GstTagList`

  A `GstTagList` containing an image.

  The data is owned by the caller of the function.

`tag`

  Type: `const char*`

  The tag name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `GdkPixbuf`

A `GdkPixbuf`, or NULL.

The caller of the function takes ownership of the data, and is responsible for freeing it.